summaryrefslogtreecommitdiffstats
path: root/libraries/libviper
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2010-05-12 23:30:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:30:45 +0200
commit247ed872d06501f2c15cad2c684f9eb838c825e1 (patch)
tree4d0db807847ef89f1071d4769731646d1dff227d /libraries/libviper
parent5551be69d7d06603385c77050dfcbbdf0f173deb (diff)
downloadslackbuilds-247ed872d06501f2c15cad2c684f9eb838c825e1.tar.gz
slackbuilds-247ed872d06501f2c15cad2c684f9eb838c825e1.tar.xz
libraries/libviper: Added to 12.2 repository
Diffstat (limited to 'libraries/libviper')
-rw-r--r--libraries/libviper/README3
-rw-r--r--libraries/libviper/libviper-1.4.2.2-Makefile.patch15
-rw-r--r--libraries/libviper/libviper.SlackBuild82
-rw-r--r--libraries/libviper/libviper.info8
-rw-r--r--libraries/libviper/slack-desc20
5 files changed, 128 insertions, 0 deletions
diff --git a/libraries/libviper/README b/libraries/libviper/README
new file mode 100644
index 0000000000..15cca2e38b
--- /dev/null
+++ b/libraries/libviper/README
@@ -0,0 +1,3 @@
+libviper is an API which builds on top of ncurses and libgpm to offer simple
+window creation and management facilities for developers who want to quickly
+create text interfacs. libviper offers an alternative to the panels library.
diff --git a/libraries/libviper/libviper-1.4.2.2-Makefile.patch b/libraries/libviper/libviper-1.4.2.2-Makefile.patch
new file mode 100644
index 0000000000..eb17f226d1
--- /dev/null
+++ b/libraries/libviper/libviper-1.4.2.2-Makefile.patch
@@ -0,0 +1,15 @@
+--- Makefile.orig 2009-05-22 13:24:34.000000000 +0100
++++ Makefile 2009-05-22 13:25:19.000000000 +0100
+@@ -31,11 +31,11 @@
+ rm -f viper_wide.h
+
+ install:
++ mkdir -p $(includedir) $(libdir)
+ chmod 644 viper.h
+ cp -f viper.h $(includedir)
+ chmod 755 libviper.so
+ cp -f libviper.so $(libdir)
+- ldconfig
+
+ install_wide:
+ chmod 644 viper.h
diff --git a/libraries/libviper/libviper.SlackBuild b/libraries/libviper/libviper.SlackBuild
new file mode 100644
index 0000000000..074417cd85
--- /dev/null
+++ b/libraries/libviper/libviper.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# SlackBuild script for libviper.
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libviper
+VERSION=1.4.2.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# patch the Makefile with a custom patch to correct hard-coded paths
+patch -p0 < $CWD/libviper-1.4.2.2-Makefile.patch
+
+make CFLAGS="$SLKCFLAGS"
+make install prefix=$PKG/usr libdir=$PKG/usr/lib${LIBDIRSUFFIX}
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG INSTALL LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libviper/libviper.info b/libraries/libviper/libviper.info
new file mode 100644
index 0000000000..f95a4bd184
--- /dev/null
+++ b/libraries/libviper/libviper.info
@@ -0,0 +1,8 @@
+PRGNAM="libviper"
+VERSION="1.4.2.2"
+HOMEPAGE="http://libviper.sourceforge.net/"
+DOWNLOAD="http://kent.dl.sourceforge.net/sourceforge/libviper/libviper-1.4.2.2.tar.gz"
+MD5SUM="69a8fd1659bb0bb1ce38477122341e37"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/libraries/libviper/slack-desc b/libraries/libviper/slack-desc
new file mode 100644
index 0000000000..ad0eff20ae
--- /dev/null
+++ b/libraries/libviper/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libviper: libviper (simple ncurses window creation and management facilities)
+libviper:
+libviper: libviper is an API which builds on top of ncurses and libgpm to offer
+libviper: simple window creation and management facilities for developers who
+libviper: want to quickly create text interfaces.
+libviper: libviper offers an alternative to the panels library.
+libviper:
+libviper: Homepage: http://libviper.sourceforge.net
+libviper:
+libviper:
+libviper:
+